summaryrefslogtreecommitdiffstats
path: root/misc/fcitx5-chinese-addons
diff options
context:
space:
mode:
author ltlnx <ltlnx.tw@gmail.com>2022-12-02 11:36:07 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-12-03 09:09:19 +0700
commitb59d6bfc3127dbc5fe5cd907da293d5778a33e4e (patch)
tree0c94b4758398e329a33e4ccf1345d3eae70c9836 /misc/fcitx5-chinese-addons
parent135df94737efbeef4849b94eb39cb834d2714a34 (diff)
downloadslackbuilds-b59d6bfc3127dbc5fe5cd907da293d5778a33e4e.tar.gz
slackbuilds-b59d6bfc3127dbc5fe5cd907da293d5778a33e4e.tar.xz
misc/fcitx5-chinese-addons: Added (Addon for fcitx5).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc/fcitx5-chinese-addons')
-rw-r--r--misc/fcitx5-chinese-addons/README4
-rw-r--r--misc/fcitx5-chinese-addons/doinst.sh12
-rw-r--r--misc/fcitx5-chinese-addons/fcitx5-chinese-addons.SlackBuild104
-rw-r--r--misc/fcitx5-chinese-addons/fcitx5-chinese-addons.info10
-rw-r--r--misc/fcitx5-chinese-addons/slack-desc19
5 files changed, 149 insertions, 0 deletions
diff --git a/misc/fcitx5-chinese-addons/README b/misc/fcitx5-chinese-addons/README
new file mode 100644
index 0000000000..30a7236fd9
--- /dev/null
+++ b/misc/fcitx5-chinese-addons/README
@@ -0,0 +1,4 @@
+fcitx5-chinese-addons provides pinyin and table input method support
+for fcitx5. Released under LGPL-2.1+.
+
+im/pinyin/emoji.txt is derived from Unicode CLDR with modification.
diff --git a/misc/fcitx5-chinese-addons/doinst.sh b/misc/fcitx5-chinese-addons/doinst.sh
new file mode 100644
index 0000000000..ca71fd3c40
--- /dev/null
+++ b/misc/fcitx5-chinese-addons/doinst.sh
@@ -0,0 +1,12 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
+
diff --git a/misc/fcitx5-chinese-addons/fcitx5-chinese-addons.SlackBuild b/misc/fcitx5-chinese-addons/fcitx5-chinese-addons.SlackBuild
new file mode 100644
index 0000000000..cc1a832bee
--- /dev/null
+++ b/misc/fcitx5-chinese-addons/fcitx5-chinese-addons.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/bash
+
+# Copyright 2022 Wen-Wei Kao (ltlnx), Taichung, Taiwan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=fcitx5-chinese-addons
+VERSION=${VERSION:-5.0.16}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-${VERSION}_dict.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_CXX_FLAGS="${SLKCFLAGS}" \
+ -DCMAKE_C_FLAGS="${SLKCFLAGS}" \
+ -DCMAKE_INSTALL_PREFIX="/usr" \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSES/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/misc/fcitx5-chinese-addons/fcitx5-chinese-addons.info b/misc/fcitx5-chinese-addons/fcitx5-chinese-addons.info
new file mode 100644
index 0000000000..6856fdc52c
--- /dev/null
+++ b/misc/fcitx5-chinese-addons/fcitx5-chinese-addons.info
@@ -0,0 +1,10 @@
+PRGNAM="fcitx5-chinese-addons"
+VERSION="5.0.16"
+HOMEPAGE="https://github.com/fcitx/fcitx5-chinese-addons"
+DOWNLOAD="https://download.fcitx-im.org/fcitx5/fcitx5-chinese-addons/fcitx5-chinese-addons-5.0.16_dict.tar.xz"
+MD5SUM="5ad2a94e9fb55c34ab075936ef29f379"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="fcitx5-qt libime"
+MAINTAINER="ltlnx"
+EMAIL="ltlnx.tw@gmail.com"
diff --git a/misc/fcitx5-chinese-addons/slack-desc b/misc/fcitx5-chinese-addons/slack-desc
new file mode 100644
index 0000000000..01fc72e5f1
--- /dev/null
+++ b/misc/fcitx5-chinese-addons/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fcitx5-chinese-addons: fcitx5-chinese-addons (Chinese related addon for fcitx5)
+fcitx5-chinese-addons:
+fcitx5-chinese-addons: This provides pinyin and table input method support for fcitx5.
+fcitx5-chinese-addons: Released under LGPL-2.1+.
+fcitx5-chinese-addons:
+fcitx5-chinese-addons:
+fcitx5-chinese-addons:
+fcitx5-chinese-addons:
+fcitx5-chinese-addons:
+fcitx5-chinese-addons: Homepage: https://github.com/fcitx/fcitx5-chinese-addons
+fcitx5-chinese-addons: